Run of scrub-obsolete for libcddb-perl

Try this locally (using the lintian-brush package):

debcheckout libcddb-perl
cd libcddb-perl
deb-scrub-obsolete --update-changelog

Merge these changes:

git pull https://janitor.debian.net/git/libcddb-perl scrub-obsolete/main

Diff

diff --git a/debian/changelog b/debian/changelog
index eeb21d0..7a8fc72 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -27,6 +27,9 @@ libcddb-perl (1.222-3) UNRELEASED; urgency=medium
   * Set debhelper-compat version in Build-Depends.
   * Set upstream metadata fields: Bug-Database, Repository, Repository-
     Browse.
+  * Remove constraints unnecessary since stretch:
+    + Build-Depends-Indep: Drop versioned constraint on libwww-perl.
+    + libcddb-perl: Drop versioned constraint on libwww-perl in Depends.
 
  -- gregor herrmann <gregoa@debian.org>  Thu, 03 Aug 2017 15:52:56 -0400
 
diff --git a/debian/control b/debian/control
index 72583a8..958365a 100644
--- a/debian/control
+++ b/debian/control
@@ -7,7 +7,7 @@ Build-Depends: debhelper-compat (= 12)
 Build-Depends-Indep: perl,
                      libhttp-message-perl,
                      libmailtools-perl,
-                     libwww-perl (>= 6.05)
+                     libwww-perl
 Standards-Version: 3.9.6
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libcddb-perl
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libcddb-perl.git
@@ -18,7 +18,7 @@ Architecture: all
 Depends: ${misc:Depends},
          ${perl:Depends},
          libhttp-message-perl,
-         libwww-perl (>= 6.05)
+         libwww-perl
 Suggests: libmailtools-perl
 Description: module to query CDDB and freedb servers
  CDDB protocol servers provide compact disc information for programs that need

Publish History

  • 2021-02-08T02:29: Successfully pushed (Success)

Full worker log Full build log